<?php
	// Author: Brian N. Smith
	// Copyright 2006, NuOnce Networks, Inc. All rights reserved.
	// $Id: mysqlHandler.php,v 1.1 2006/08/09 10:19:00 Exp $

	include("ServerScriptHelper.php");
	$serverScriptHelper = new ServerScriptHelper();
	$cceClient = $serverScriptHelper->getCceClient();

	if (!$serverScriptHelper->getAllowed('adminUser')) {
		header("location: /error/forbidden.html");
		return;
	}

	$page = $_POST["_PagedBlock_selectedId_mysql_header"];
	switch ($page) {

		case "server":
			$int = date("U");
			$cfg = array(
				"enabled" => $enabled,
				"onoff" => $int);
			break;

		case "sqldump":
			$dump = date("U");
			$cfg = array(
				"username" => $username, 
				"password" => $password, 
				"dump" => $dump);
			break;

		case "sqlpass":
			$changepass = date("U");
			if ( $oldpass == "" ) { $oldpass = "-1"; }
			$cfg = array(
				"changepass" => $changepass,
				"mysqluser" => $mysqluser,
				"oldpass" => $oldpass,
				"newpass" => $newpass);
			break;

	}

	$cceClient->setObject("System", $cfg, "mysql");
	$errors = $cceClient->errors();

	print($serverScriptHelper->toHandlerHtml("/nuonce/mysql/mysql.php", $errors, "nuonce-mysql"));
	$serverScriptHelper->destructor();
?>
